"use strict";

// Hot reload gatsby-plugin-typography in development
var ReactDOMServer = null;
var React = null;
var GoogleFont = null;
var typography = null;

if (process.env.BUILD_STAGE === "develop") {
  ReactDOMServer = require("react-dom/server");
  React = require("react");
  GoogleFont = require("react-typography").GoogleFont; // typography links to the file set in "pathToConfigModule"

  var typographyConfig = require("typography-plugin-cache-endpoint");

  typography = typographyConfig.default || typographyConfig;

  exports.onClientEntry = function (a, pluginOptions) {
    // Inject the CSS Styles
    typography.injectStyles(); // If "omitGoogleFont" is set to "true" the plugin shouldn't load Google CDN links

    var omit = typeof pluginOptions.omitGoogleFont !== "undefined" ? pluginOptions.omitGoogleFont : false; // Hot reload Google CDN links

    if (typography.options.googleFonts.length > 0 && !omit) {
      if (typeof document !== "undefined") {
        // Construct the <link /> tag
        var googleFonts = ReactDOMServer.renderToStaticMarkup( /*#__PURE__*/React.createElement(GoogleFont, {
          key: "GoogleFont",
          typography: typography
        })); // Parse the tag

        var doc = new DOMParser().parseFromString(googleFonts, "text/html");
        var linkElement = doc.head.firstChild; // Add custom identifier

        linkElement.setAttribute("data-gatsby-typography", "true");
        var head = document.getElementsByTagName("head")[0];
        var elem = document.querySelector("[data-gatsby-typography]"); // Remove old <link /> tag

        if (elem) {
          elem.remove();
        }

        head.appendChild(linkElement);
      }
    }
  };
}