"use strict";

var fs = require("fs");

var path = require("path");

var os = require("os"); // Write out a typography module to .cache.


exports.onPreBootstrap = function (_ref, pluginOptions) {
  var store = _ref.store,
      cache = _ref.cache;
  var program = store.getState().program;
  var module;

  if (pluginOptions.pathToConfigModule) {
    module = "module.exports = require(\"" + (path.isAbsolute(pluginOptions.pathToConfigModule) ? pluginOptions.pathToConfigModule : path.join(program.directory, pluginOptions.pathToConfigModule)) + "\")";

    if (os.platform() === "win32") {
      module = module.split("\\").join("\\\\");
    }
  } else {
    module = "const Typography = require(\"typography\")\nconst typography = new Typography()\nmodule.exports = typography";
  }

  var dir = cache.directory;

  if (!fs.existsSync(dir)) {
    fs.mkdirSync(dir);
  }

  fs.writeFileSync(path.join(dir, "typography.js"), module);
};

exports.onCreateWebpackConfig = function (_ref2) {
  var actions = _ref2.actions,
      cache = _ref2.cache;
  var cacheFile = path.join(cache.directory, "typography.js");
  var setWebpackConfig = actions.setWebpackConfig;
  setWebpackConfig({
    resolve: {
      alias: {
        "typography-plugin-cache-endpoint": cacheFile
      }
    }
  });
};